#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n,m;
    cin>>n>>m;
    int a[n][2], res[m]={},resi=0;
    for(int i=0;i<n;i++)
    {
        cin>>a[i][0]>>a[i][1];
    }
    for(int i=0;i<m;i++)
    {
        int l,r,x;
        cin>>l>>r>>x;
        for(int j=l-1;j<r;j++)
        {
            if(x>=a[j][0]&&x<=a[j][1])
            {
                res[resi]++;
            }
        }
        resi++;
    }
    for(int i=0;i<resi;i++)
    {
        cout<<res[i]<<"\n";
    }
    return 0;
}